Qt 5.8 | Qt Charts | C++ Classes | QPieLegendMarker

Qt 5.8.0 Reference Documentation

# QPieLegendMarker Class

The QPieLegendMarker class is a legend marker for a pie series. More...

Header: | #include <QPieLegendMarker>
Inherits: | QLegendMarker

- List of all members, including inherited members

## Public Functions

virtual | ~QPieLegendMarker()
QPieSlice * | slice()

## Reimplemented Public Functions

virtual QPieSeries * | series()
virtual LegendMarkerType | type()

- 14 public functions inherited from QLegendMarker

### Additional Inherited Members

- 6 properties inherited from QLegendMarker
- 8 signals inherited from QLegendMarker

## Detailed Description

The QPieLegendMarker class is a legend marker for a pie series.

A pie legend marker is related to QPieSeries. With a pie series, each slice of the pie is related to one marker in the legend.

See also QLegend, QPieSeries, and QPieSlice.

## Member Function Documentation

### `[virtual]` QPieLegendMarker::~QPieLegendMarker()

Removes the legend marker for a pie series.

### `[virtual]` QPieSeries *QPieLegendMarker::series()

Reimplemented from QLegendMarker::series().

### QPieSlice *QPieLegendMarker::slice()

Returns the slice of the pie related to the marker.

### `[virtual]` LegendMarkerType QPieLegendMarker::type()

Reimplemented from QLegendMarker::type().